<?php


namespace OTP\Helper;

if (defined("\x41\x42\123\x50\x41\x54\110")) {
    goto IJ;
}
die;
IJ:
use OTP\Objects\IGatewayType;
use OTP\Traits\Instance;
class GatewayType implements IGatewayType
{
    use Instance;
    private $gatewayType;
    public function __construct()
    {
        $JP = get_mo_option("\143\165\x73\x74\157\155\x65\x5f\147\141\164\145\x77\x61\171\137\164\x79\x70\145");
        $JP = "\x4f\124\120\x5c\x48\145\x6c\160\x65\162\134\x47\141\164\x65\x77\x61\171\x5c" . ($JP ? $JP : "\115\x6f\x47\x61\x74\145\167\x61\x79\125\122\114");
        $this->gatewayType = $JP::instance();
    }
    public function handleGatewayResponse($uO)
    {
        return $this->gatewayType->handleGatewayResponse($uO);
    }
    public function sendOTPRequest($Kl, $s9)
    {
        return $this->gatewayType->sendOTPRequest($Kl, $s9);
    }
    public function getGatewayConfigView($GV, $aF)
    {
        return $this->gatewayType->getGatewayConfigView($GV, $aF);
    }
    public function saveGatewayDetails($t5)
    {
        $this->gatewayType->saveGatewayDetails($t5);
    }
}
